Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkBYUWriter Class Reference

`#include <vtkBYUWriter.h>`

Inheritance diagram for vtkBYUWriter:

[legend]
Collaboration diagram for vtkBYUWriter:

[legend]
List of all members.

## Detailed Description

write MOVIE.BYU files

Date:
  2002/05/31 23:12:41

Revision:
  1.41

vtkBYUWriter writes MOVIE.BYU polygonal files. These files consist of a geometry file (.g), a scalar file (.s), a displacement or vector file (.d), and a 2D texture coordinate file (.t). These files must be specified to the object, the appropriate boolean variables must be true, and data must be available from the input for the files to be written. WARNING: this writer does not currently write triangle strips. Use vtkTriangleFilter to convert strips to triangles.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (63%)
  - Miller, Jim (9%)
  - Martin, Ken (7%)
  - Lorensen, Bill (5%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkBYUWriter.cxx)`
  - .`h` (`/IO/vtkBYUWriter.h)`

Tests:
  vtkBYUWriter (Tests)

Definition at line 53 of file vtkBYUWriter.h.

## Public Types
typedef vtkPolyDataWriter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetGeometryFileName (const char *)
virtual char * | GetGeometryFileName ()
virtual void | SetDisplacementFileName (const char *)
virtual char * | GetDisplacementFileName ()
virtual void | SetScalarFileName (const char *)
virtual char * | GetScalarFileName ()
virtual void | SetTextureFileName (const char *)
virtual char * | GetTextureFileName ()
virtual void | SetWriteDisplacement (int)
virtual int | GetWriteDisplacement ()
virtual void | WriteDisplacementOn ()
virtual void | WriteDisplacementOff ()
virtual void | SetWriteScalar (int)
virtual int | GetWriteScalar ()
virtual void | WriteScalarOn ()
virtual void | WriteScalarOff ()
virtual void | SetWriteTexture (int)
virtual int | GetWriteTexture ()
virtual void | WriteTextureOn ()
virtual void | WriteTextureOff ()
## Static Public Methods
vtkBYUWriter * | New ()
int | IsTypeOf (const char *type)
vtkBYUWriter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkBYUWriter ()
| ~vtkBYUWriter ()
void | WriteData ()
void | WriteGeometryFile (FILE *fp, int numPts)
void | WriteDisplacementFile (int numPts)
void | WriteScalarFile (int numPts)
void | WriteTextureFile (int numPts)
## Protected Attributes
char * | GeometryFileName
char * | DisplacementFileName
char * | ScalarFileName
char * | TextureFileName
int | WriteDisplacement
int | WriteScalar
int | WriteTexture

## Member Typedef Documentation

typedef vtkPolyDataWriter vtkBYUWriter::Superclass

| Reimplemented from vtkPolyDataWriter. Definition at line 58 of file vtkBYUWriter.h.

## Constructor & Destructor Documentation

vtkBYUWriter::vtkBYUWriter | ( |  | ) | `[protected]`

vtkBYUWriter::~vtkBYUWriter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkBYUWriter* vtkBYUWriter::New | ( |  | ) | `[static]`

| Created object with default header, ASCII format, and default names for scalars, vectors, tensors, normals, and texture coordinates. Reimplemented from vtkPolyDataWriter.

virtual const char* vtkBYUWriter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataWriter.

int vtkBYUWriter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataWriter.

virtual int vtkBYUWriter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataWriter.

vtkBYUWriter* vtkBYUWriter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataWriter.

void vtkBYUWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataWriter.

virtual void vtkBYUWriter::SetGeometryFileName | ( | const char * |  | ) | `[virtual]`

| Specify the name of the geometry file to write.

virtual char* vtkBYUWriter::GetGeometryFileName | ( |  | ) | `[virtual]`

| Specify the name of the geometry file to write.

virtual void vtkBYUWriter::SetDisplacementFileName | ( | const char * |  | ) | `[virtual]`

| Specify the name of the displacement file to write.

virtual char* vtkBYUWriter::GetDisplacementFileName | ( |  | ) | `[virtual]`

| Specify the name of the displacement file to write.

virtual void vtkBYUWriter::SetScalarFileName | ( | const char * |  | ) | `[virtual]`

| Specify the name of the scalar file to write.

virtual char* vtkBYUWriter::GetScalarFileName | ( |  | ) | `[virtual]`

| Specify the name of the scalar file to write.

virtual void vtkBYUWriter::SetTextureFileName | ( | const char * |  | ) | `[virtual]`

| Specify the name of the texture file to write.

virtual char* vtkBYUWriter::GetTextureFileName | ( |  | ) | `[virtual]`

| Specify the name of the texture file to write.

virtual void vtkBYUWriter::SetWriteDisplacement | ( | int |  | ) | `[virtual]`

| Turn on/off writing the displacement file.

virtual int vtkBYUWriter::GetWriteDisplacement | ( |  | ) | `[virtual]`

| Turn on/off writing the displacement file.

virtual void vtkBYUWriter::WriteDisplacementOn | ( |  | ) | `[virtual]`

| Turn on/off writing the displacement file.

virtual void vtkBYUWriter::WriteDisplacementOff | ( |  | ) | `[virtual]`

| Turn on/off writing the displacement file.

virtual void vtkBYUWriter::SetWriteScalar | ( | int |  | ) | `[virtual]`

| Turn on/off writing the scalar file.

virtual int vtkBYUWriter::GetWriteScalar | ( |  | ) | `[virtual]`

| Turn on/off writing the scalar file.

virtual void vtkBYUWriter::WriteScalarOn | ( |  | ) | `[virtual]`

| Turn on/off writing the scalar file.

virtual void vtkBYUWriter::WriteScalarOff | ( |  | ) | `[virtual]`

| Turn on/off writing the scalar file.

virtual void vtkBYUWriter::SetWriteTexture | ( | int |  | ) | `[virtual]`

| Turn on/off writing the texture file.

virtual int vtkBYUWriter::GetWriteTexture | ( |  | ) | `[virtual]`

| Turn on/off writing the texture file.

virtual void vtkBYUWriter::WriteTextureOn | ( |  | ) | `[virtual]`

| Turn on/off writing the texture file.

virtual void vtkBYUWriter::WriteTextureOff | ( |  | ) | `[virtual]`

| Turn on/off writing the texture file.

void vtkBYUWriter::WriteData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkPolyDataWriter.

void vtkBYUWriter::WriteGeometryFile | ( | FILE * | fp,
|  | int | numPts
| ) | `[protected]`

void vtkBYUWriter::WriteDisplacementFile | ( | int | numPts | ) | `[protected]`

void vtkBYUWriter::WriteScalarFile | ( | int | numPts | ) | `[protected]`

void vtkBYUWriter::WriteTextureFile | ( | int | numPts | ) | `[protected]`

## Member Data Documentation

char* vtkBYUWriter::GeometryFileName`[protected]`

| Definition at line 112 of file vtkBYUWriter.h.

char* vtkBYUWriter::DisplacementFileName`[protected]`

| Definition at line 113 of file vtkBYUWriter.h.

char* vtkBYUWriter::ScalarFileName`[protected]`

| Definition at line 114 of file vtkBYUWriter.h.

char* vtkBYUWriter::TextureFileName`[protected]`

| Definition at line 115 of file vtkBYUWriter.h.

int vtkBYUWriter::WriteDisplacement`[protected]`

| Definition at line 116 of file vtkBYUWriter.h.

int vtkBYUWriter::WriteScalar`[protected]`

| Definition at line 117 of file vtkBYUWriter.h.

int vtkBYUWriter::WriteTexture`[protected]`

| Definition at line 118 of file vtkBYUWriter.h.

The documentation for this class was generated from the following file:

- IO/vtkBYUWriter.h